- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKMedia Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKMedia ()

## Public Attributes
IWORKGeometryPtr_t | m_geometry
IWORKStylePtr_t | m_style
boost::optional< bool > | m_placeholder
boost::optional< IWORKSize > | m_placeholderSize
IWORKMediaContentPtr_t | m_content

## Constructor & Destructor Documentation

libetonyek::IWORKMedia::IWORKMedia | ( |  | ) |

## Member Data Documentation

IWORKMediaContentPtr_t libetonyek::IWORKMedia::m_content

IWORKGeometryPtr_t libetonyek::IWORKMedia::m_geometry

boost::optional<bool> libetonyek::IWORKMedia::m_placeholder

boost::optional<IWORKSize> libetonyek::IWORKMedia::m_placeholderSize

IWORKStylePtr_t libetonyek::IWORKMedia::m_style

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp